summaryrefslogtreecommitdiffstats
path: root/makesrc.sh
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2026-04-09 08:21:09 +0200
committerRemi Collet <remi@php.net>2026-04-09 08:21:09 +0200
commita1a9eba97165a35d10d3728aa6d56ecbd38632e4 (patch)
tree66b534b22062e1758f1ff35b5c7ea3626348e9ba /makesrc.sh
parent35d1df9f4d7c355d7df40cdac16e093b0ab78bec (diff)
update to 1.5.9 (SPDX 3.28.0)
switch to phpunit10
Diffstat (limited to 'makesrc.sh')
-rwxr-xr-xmakesrc.sh33
1 files changed, 17 insertions, 16 deletions
diff --git a/makesrc.sh b/makesrc.sh
index c047df5..5ee81b4 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,27 +1,28 @@
#!/bin/bash
-NAME=$(sed -n '/^Name:/{s/.* //;p}' *.spec)
+NAME=$(basename $PWD)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
+else
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
-echo "Cloning..."
-git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+ echo "Cloning..."
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
-echo "Getting commit..."
-pushd $PROJECT-$COMMIT
-git checkout $COMMIT
-cp composer.json ../composer.json
-popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
-echo "Archiving..."
-tar czf $NAME-$VERSION-$SHORT.tgz --exclude .git $PROJECT-$COMMIT
+ echo "Archiving..."
+ # dont use --exclude-vcs as we need .gitattributes
+ tar czf $NAME-$VERSION.tgz --exclude .git $PROJECT-$VERSION
-echo "Cleaning..."
-rm -rf $PROJECT-$COMMIT
+ echo "Cleaning..."
+ rm -rf $PROJECT-$VERSION
-echo "Done."
+ echo "Done."
+fi